Package net.commoble.exmachina.internal

# Record Class CommonConfig

java.lang.Object
java.lang.Record
net.commoble.exmachina.internal.CommonConfig

Record Components:
  `maxPowerGraphSize` - maximum size of power graphs in blocks (default 10000)
  `maxSignalGraphSize` - maximum size of signal graphs in nodes (default 1024)
  `maxMechanicalGraphSize` - maximum size of mechanical graphs in nodes(default 1024)

public record CommonConfig(net.neoforged.neoforge.common.ModConfigSpec.IntValue maxPowerGraphSize, net.neoforged.neoforge.common.ModConfigSpec.IntValue maxSignalGraphSize, net.neoforged.neoforge.common.ModConfigSpec.IntValue maxMechanicalGraphSize) extends Record
/config/exmachina-common.toml

## Constructor Summary

Constructors
Constructor
Description
`CommonConfig(net.neoforged.neoforge.common.ModConfigSpec.IntValue maxPowerGraphSize, net.neoforged.neoforge.common.ModConfigSpec.IntValue maxSignalGraphSize, net.neoforged.neoforge.common.ModConfigSpec.IntValue maxMechanicalGraphSize)`
Creates an instance of a `CommonConfig` record class.

## Method Summary

Modifier and Type
Method
Description
`static CommonConfig`
`create(net.neoforged.neoforge.common.ModConfigSpec.Builder builder)`
Returns common config.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`net.neoforged.neoforge.common.ModConfigSpec.IntValue`
`maxMechanicalGraphSize()`
Returns the value of the `maxMechanicalGraphSize` record component.
`net.neoforged.neoforge.common.ModConfigSpec.IntValue`
`maxPowerGraphSize()`
Returns the value of the `maxPowerGraphSize` record component.
`net.neoforged.neoforge.common.ModConfigSpec.IntValue`
`maxSignalGraphSize()`
Returns the value of the `maxSignalGraphSize` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CommonConfig

public CommonConfig(net.neoforged.neoforge.common.ModConfigSpec.IntValue maxPowerGraphSize, net.neoforged.neoforge.common.ModConfigSpec.IntValue maxSignalGraphSize, net.neoforged.neoforge.common.ModConfigSpec.IntValue maxMechanicalGraphSize)
Creates an instance of a `CommonConfig` record class.

Parameters:
  `maxPowerGraphSize` - the value for the `maxPowerGraphSize` record component
  `maxSignalGraphSize` - the value for the `maxSignalGraphSize` record component
  `maxMechanicalGraphSize` - the value for the `maxMechanicalGraphSize` record component

## Method Details

### create

public static CommonConfig create(net.neoforged.neoforge.common.ModConfigSpec.Builder builder)
Returns common config.

Parameters:
  `builder` - config builder
Returns:
  common config

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### maxPowerGraphSize

public net.neoforged.neoforge.common.ModConfigSpec.IntValue maxPowerGraphSize()
Returns the value of the `maxPowerGraphSize` record component.

Returns:
  the value of the `maxPowerGraphSize` record component

### maxSignalGraphSize

public net.neoforged.neoforge.common.ModConfigSpec.IntValue maxSignalGraphSize()
Returns the value of the `maxSignalGraphSize` record component.

Returns:
  the value of the `maxSignalGraphSize` record component

### maxMechanicalGraphSize

public net.neoforged.neoforge.common.ModConfigSpec.IntValue maxMechanicalGraphSize()
Returns the value of the `maxMechanicalGraphSize` record component.

Returns:
  the value of the `maxMechanicalGraphSize` record component